Issue 116701

Summary: In Traditional Chinese version, Republic of China Calender's era year is displayed with 2 digits
Product: Calc Reporter: sojibai <sojibai>
Component: formattingAssignee: oc
Status: CLOSED FIXED QA Contact: issues@sc <issues>
Severity: Trivial    
Priority: P2 CC: issues
Version: OOO330m9   
Target Milestone: 3.4.0   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---

Description sojibai 2011-01-29 13:32:05 UTC
Calc
1.Input "2011/1/30" in A1,then format the cell
2.In Format Cells dialog's Number Tab-Category:Date,Format:中華民國88年12月31日
3.The result should be"中華民國100年1月30日",but it display "中華民國00年1月30
日",the year
bigger than 100 can't display correctly
Writer
The same problem in Fields dialog's Fomat
Comment 1 ooo 2011-01-31 16:25:18 UTC
This is because the GGGE format code is used that displays the era year with 2
digits, similar to YY versus YYYY. Using GGGEE instead fixes this.

However, E should not behave like this and truncate/wrap a value, it just
specifies that no leading 0 is to be displayed for single-digit values, similar
to D versus DD.

Reassigning to spare time account.
Comment 2 erack 2011-02-08 21:18:02 UTC
In cws locales34:

changeset 014e4c373483
http://hg.services.openoffice.org/cws/locales34/changeset/014e4c373483
M i18npool/source/calendar/calendar_gregorian.cxx

You can observe the progress and possible integration date of CWS locales34 at
http://tools.services.openoffice.org/EIS2/cws.ShowCWS?Path=DEV300%2Flocales34
Comment 3 erack 2011-02-08 22:52:48 UTC
Reassigning to QA for verification.

Note: to verify enter date 2011-1-30 and apply date format with GGGE of Chinese
traditional.
Comment 4 stefan.baltzer 2011-02-15 12:46:04 UTC
Verified in CWS locales34.